import { auth, KeyResult } from '@powersync/service-core';
import * as types from '../types/types.js';
/**
 * Fetches key from the Supabase database.
 *
 * Unfortunately, despite the JWTs containing a kid, we have no way to lookup that kid
 * before receiving a valid token.
 *
 * @deprecated Supabase is removing support for "app.settings.jwt_secret". This is likely to not function anymore, except in some self-hosted setups.
 */
export declare class SupabaseKeyCollector implements auth.KeyCollector {
    private pool;
    private keyOptions;
    constructor(connectionConfig: types.ResolvedConnectionConfig);
    shutdown(): Promise<void>;
    getKeys(): Promise<KeyResult>;
}
