import { api, ConnectionTestResult, modules, replication, system } from '@powersync/service-core';
import * as types from '../types/types.js';
import { PostgresConnectionConfig } from '../types/types.js';
import { NormalizedBasePostgresConnectionConfig } from '@powersync/lib-service-postgres';
export declare class PostgresModule extends replication.ReplicationModule<types.PostgresConnectionConfig> {
    constructor();
    onInitialized(context: system.ServiceContextContainer): Promise<void>;
    protected createRouteAPIAdapter(): api.RouteAPI;
    protected createReplicator(context: system.ServiceContext): replication.AbstractReplicator;
    /**
     * Combines base config with normalized connection settings
     */
    private resolveConfig;
    teardown(options: modules.TearDownOptions): Promise<void>;
    private registerSupabaseAuth;
    testConnection(config: PostgresConnectionConfig): Promise<ConnectionTestResult>;
    static testConnection(normalizedConfig: NormalizedBasePostgresConnectionConfig): Promise<ConnectionTestResult>;
}
