import * as pgwire from '@powersync/service-jpgwire';
import { PatternResult, storage } from '@powersync/service-core';
import * as sync_rules from '@powersync/service-sync-rules';
import * as service_types from '@powersync/service-types';
import { ReplicationIdentity } from './PgRelation.js';
export interface ReplicaIdentityResult {
    replicationColumns: storage.ColumnDescriptor[];
    replicationIdentity: ReplicationIdentity;
}
export declare function getPrimaryKeyColumns(db: pgwire.PgClient, relationId: number, mode: 'primary' | 'replident'): Promise<storage.ColumnDescriptor[]>;
export declare function getAllColumns(db: pgwire.PgClient, relationId: number): Promise<storage.ColumnDescriptor[]>;
export declare function getReplicationIdentityColumns(db: pgwire.PgClient, relationId: number): Promise<ReplicaIdentityResult>;
export declare function checkSourceConfiguration(db: pgwire.PgClient, publicationName: string): Promise<void>;
export interface GetDebugTablesInfoOptions {
    db: pgwire.PgClient;
    publicationName: string;
    connectionTag: string;
    tablePatterns: sync_rules.TablePattern[];
    syncRules: sync_rules.SqlSyncRules;
}
export declare function getDebugTablesInfo(options: GetDebugTablesInfoOptions): Promise<PatternResult[]>;
export interface GetDebugTableInfoOptions {
    db: pgwire.PgClient;
    name: string;
    publicationName: string;
    connectionTag: string;
    tablePattern: sync_rules.TablePattern;
    relationId: number | null;
    syncRules: sync_rules.SqlSyncRules;
}
export declare function getDebugTableInfo(options: GetDebugTableInfoOptions): Promise<service_types.TableInfo>;
export declare function cleanUpReplicationSlot(slotName: string, db: pgwire.PgClient): Promise<void>;
